summaryrefslogtreecommitdiffstats
path: root/tests/msgcmp-2
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@cygnus.com>2000-06-16 07:49:23 +0000
committerUlrich Drepper <drepper@cygnus.com>2000-06-16 07:49:23 +0000
commit60d2084de5dc3b65e6657f695f0f26df24b0f565 (patch)
tree224f21c30351570d6d7f06a385e829d5ab320f67 /tests/msgcmp-2
downloadexternal_gettext-60d2084de5dc3b65e6657f695f0f26df24b0f565.zip
external_gettext-60d2084de5dc3b65e6657f695f0f26df24b0f565.tar.gz
external_gettext-60d2084de5dc3b65e6657f695f0f26df24b0f565.tar.bz2
Initial revision
Diffstat (limited to 'tests/msgcmp-2')
-rwxr-xr-xtests/msgcmp-253
1 files changed, 53 insertions, 0 deletions
diff --git a/tests/msgcmp-2 b/tests/msgcmp-2
new file mode 100755
index 0000000..b0bbc91
--- /dev/null
+++ b/tests/msgcmp-2
@@ -0,0 +1,53 @@
+#! /bin/sh
+# One argument is required which is the path to the toplevel directory
+# of the distribution.
+
+LANGUAGE=
+LC_ALL=
+LC_MESSAGES=
+LANG=
+export LANGUAGE LC_ALL LC_MESSAGES LANG
+
+tmpfiles="mc-test2.in1 mc-test2.in2"
+cat <<EOF > mc-test2.in1
+msgid "one" msgstr "first"
+msgid "two" msgstr "second"
+msgid "three" msgstr "third"
+msgid "four" msgstr "fourth"
+EOF
+
+cat <<EOF > mc-test2.in2
+msgid "thre" msgstr "" #i.e. pretend a typo in the program
+msgid "one" msgstr ""
+msgid "two" msgstr ""
+EOF
+
+tmpfiles="$tmpfiles mc-test2.out"
+: ${MSGCMP=msgcmp}
+${MSGCMP} mc-test2.in1 mc-test2.in2 > mc-test2.out 2>&1
+
+tmpfiles="$tmpfiles mc-test2.ok"
+cat <<EOF > mc-test2.ok
+mc-test2.in2:1: this message is used but not defined...
+mc-test2.in1:3: ...but this definition is similar
+mc-test2.in1:4: warning: this message is not used
+found 1 fatal errors
+EOF
+
+: ${DIFF=diff}
+${DIFF} mc-test2.ok mc-test2.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result
+
+# Preserve executable bits for this shell script.
+# Thanks to Noah Friedman for this great trick.
+Local Variables:
+eval:(defun frobme () (set-file-modes buffer-file-name file-mode))
+eval:(make-local-variable 'file-mode)
+eval:(setq file-mode (file-modes (buffer-file-name)))
+eval:(make-local-variable 'after-save-hook)
+eval:(add-hook 'after-save-hook 'frobme)
+End: